	implicit integer*4 (a-z)
	integer*4 array (256000)
c	2000 pages of memory
	do while (.true.)
		call wait (100)
		do j = 1,2000
			array(j*128) = 1 + array(j*128)
		end do
	end do
	end

	subroutine wait(n)

	implicit integer*4 (a-z)

	common /timedummy/  time,negone

	if (n.le.0) return
	time = -100000 * n
	negone = -1

	call sys$clref (%val(5))
	call sys$setimr (%val(5),time,,)
	call sys$waitfr (%val(5))

	return 
	end    
